# Maintainer: f <f@sutty.nl>
pkgname=jemalloc
pkgver=5.2.1
pkgrel=0
pkgdesc="General purpose malloc(3) implementation"
url="http://jemalloc.net/"
arch="all"
license="BSD"
source="https://github.com/jemalloc/jemalloc/releases/download/${pkgver}/jemalloc-${pkgver}.tar.bz2"
subpackages="$pkgname-doc $pkgname-static"

build() {
  cd "$srcdir/jemalloc-${pkgver}/"
  ./configure \
    --build=$CBUILD \
    --host=$CHOST \
    --prefix=/usr \
    --enable-autogen
  make
}

check() {
  cd "$srcdir/jemalloc-${pkgver}/"
  make test
}

package() {
  cd "$srcdir/jemalloc-${pkgver}/"
  make DESTDIR="$pkgdir" install
  sed -re "s/Version: ${pkgver}_0/Version: ${pkgver}/" -i "$pkgdir"/usr/lib/pkgconfig/jemalloc.pc
}
